;***** I/O Register Definitions
SREG	 EQU $3f
GIMSK	 EQU $3b
TIMSK	 EQU $39
TIFR	 EQU $38
MCUCR	 EQU $35
TCCR0	 EQU $33
TCNT0	 EQU $32
WDTCR	 EQU $21
EEAR	 EQU $1e
EEDR	 EQU $1d
EECR	 EQU $1c
PORTB	 EQU $18
DDRB	 EQU $17
PINB	 EQU $16
PORTD	 EQU $12
DDRD	 EQU $11
PIND	 EQU $10
ACSR	 EQU $08

;***** Bit Definitions

INT0	 EQU 6

TOIE0	 EQU 1

TOV0	 EQU 1

SE	 EQU 5
SM	 EQU 4
ISC01	 EQU 1
ISC00	 EQU 0

CS02	 EQU 2
CS01	 EQU 1
CS00	 EQU 0

WDE	 EQU 3
WDP2	 EQU 2
WDP1	 EQU 1
WDP0	 EQU 0

EEWE	 EQU 1
EERE	 EQU 0

PB7	 EQU 7
PB6	 EQU 6
PB5	 EQU 5
PB4	 EQU 4
PB3	 EQU 3
PB2	 EQU 2
PB1	 EQU 1
PB0	 EQU 0

DDB7	 EQU 7
DDB6	 EQU 6
DDB5	 EQU 5
DDB4	 EQU 4
DDB3	 EQU 3
DDB2	 EQU 2
DDB1	 EQU 1
DDB0	 EQU 0

PINB7	 EQU 7
PINB6	 EQU 6
PINB5	 EQU 5
PINB4	 EQU 4
PINB3	 EQU 3
PINB2	 EQU 2
PINB1	 EQU 1
PINB0	 EQU 0

PD6	 EQU 6
PD5	 EQU 5
PD4	 EQU 4
PD3	 EQU 3
PD2	 EQU 2
PD1	 EQU 1
PD0	 EQU 0

DDD6	 EQU 6
DDD5	 EQU 5
DDD4	 EQU 4
DDD3	 EQU 3
DDD2	 EQU 2
DDD1	 EQU 1
DDD0	 EQU 0

PIND6	 EQU 6
PIND5	 EQU 5
PIND4	 EQU 4
PIND3	 EQU 3
PIND2	 EQU 2
PIND1	 EQU 1
PIND0	 EQU 0

ACD	 EQU 7
ACO	 EQU 5
ACI	 EQU 4
ACIE	 EQU 3
ACIS1	 EQU 1
ACIS0	 EQU 0

XRAMEND  EQU $0
E2END	 EQU $3F
FLASHEND EQU $1FF

INT0addr EQU $001	;External Interrupt0 Vector Address
OVF0addr EQU $002	;Overflow0 Interrupt Vector Address
ACIaddr  EQU $003	;Analog Comparator Interrupt Vector Address

ZL	 DEF r30
