;AT90S2333

;***** I/O Register Definitions
SREG	 EQU $3f
SP	 EQU $3d
SPL	 EQU $3d
GIMSK	 EQU $3b
GIFR	 EQU $3a
TIMSK	 EQU $39
TIFR	 EQU $38
MCUCR    EQU $35
MCUSR    EQU $34
TCCR0	 EQU $33
TCNT0	 EQU $32
TCCR1A	 EQU $2f
TCCR1B	 EQU $2e
TCNT1H	 EQU $2d
TCNT1L	 EQU $2c
OCR1H	 EQU $2b
OCR1L	 EQU $2a
ICR1H	 EQU $27
ICR1L	 EQU $26
WDTCR	 EQU $21
EEAR	 EQU $1e
EEDR	 EQU $1d
EECR	 EQU $1c
PORTB	 EQU $18
DDRB	 EQU $17
PINB	 EQU $16
PORTC	 EQU $15
DDRC	 EQU $14
PINC	 EQU $13
PORTD	 EQU $12
DDRD	 EQU $11
PIND	 EQU $10
SPDR	 EQU $0f
SPSR	 EQU $0e
SPCR	 EQU $0d
UDR	 EQU $0c
UCSRA 	 EQU $0b
UCSRB 	 EQU $0a
UBRR	 EQU $09
UBRRL	 EQU $09
ACSR	 EQU $08
ADMUX    EQU $07
ADCSR    EQU $06
ADCH     EQU $05
ADCL     EQU $04
UBRRH	 EQU $03


;***** Bit Definitions

WDRF	 EQU 3
BORF	 EQU 2
EXTRF	 EQU 1
PORF	 EQU 0

INT1	 EQU 7
INT0	 EQU 6

INTF1	 EQU 7
INTF0	 EQU 6


TOIE1    EQU 7
OCIE1    EQU 6
TICIE1   EQU 3
TOIE0    EQU 1

TOV1     EQU 7
OCF1     EQU 6
ICF1     EQU 3
TOV0     EQU 1

SE       EQU 5
SM       EQU 4
ISC11    EQU 3
ISC10    EQU 2
ISC01    EQU 1
ISC00    EQU 0

CS02	 EQU 2
CS01	 EQU 1
CS00	 EQU 0

COM11	 EQU 7
COM10	 EQU 6
PWM11	 EQU 1
PWM10	 EQU 0

ICNC1	 EQU 7
ICES1	 EQU 6
CTC1	 EQU 3
CS12	 EQU 2
CS11	 EQU 1
CS10	 EQU 0

WDTOE	 EQU 4
WDE	 EQU 3
WDP2	 EQU 2
WDP1	 EQU 1
WDP0	 EQU 0

EERIE    EQU 3
EEMWE	 EQU 2
EEWE	 EQU 1
EERE	 EQU 0

SPIE	 EQU 7
SPE	 EQU 6
DORD	 EQU 5
MSTR	 EQU 4
CPOL	 EQU 3
CPHA	 EQU 2
SPR1	 EQU 1
SPR0	 EQU 0

SPIF	 EQU 7
WCOL	 EQU 6

RXC	 EQU 7
TXC	 EQU 6
UDRE	 EQU 5
FE	 EQU 4
OR	 EQU 3
MPCM     EQU 0

RXCIE	 EQU 7
TXCIE	 EQU 6
UDRIE	 EQU 5
RXEN	 EQU 4
TXEN	 EQU 3
CHR9	 EQU 2
RXB8	 EQU 1
TXB8	 EQU 0

ACD	 EQU 7
AINBG 	 EQU 6
ACO	 EQU 5
ACI	 EQU 4
ACIE	 EQU 3
ACIC	 EQU 2
ACIS1	 EQU 1
ACIS0	 EQU 0

ADCBG	 EQU 6
MUX2     EQU 2
MUX1     EQU 1
MUX0     EQU 0

ADEN     EQU 7
ADSC     EQU 6
ADFR     EQU 5
ADIF     EQU 4
ADIE     EQU 3
ADPS2    EQU 2
ADPS1    EQU 1
ADPS0    EQU 0

PB5	 EQU 5
PB4	 EQU 4
PB3	 EQU 3
PB2	 EQU 2
PB1	 EQU 1
PB0	 EQU 0

DDB5	 EQU 5
DDB4	 EQU 4
DDB3	 EQU 3
DDB2	 EQU 2
DDB1	 EQU 1
DDB0	 EQU 0

PINB5	 EQU 5
PINB4	 EQU 4
PINB3	 EQU 3
PINB2	 EQU 2
PINB1	 EQU 1
PINB0	 EQU 0

PC5	 EQU 5
PC4	 EQU 4
PC3	 EQU 3
PC2	 EQU 2
PC1	 EQU 1
PC0	 EQU 0

DDC5	 EQU 5
DDC4	 EQU 4
DDC3	 EQU 3
DDC2	 EQU 2
DDC1	 EQU 1
DDC0	 EQU 0

PINC5	 EQU 5
PINC4	 EQU 4
PINC3	 EQU 3
PINC2	 EQU 2
PINC1	 EQU 1
PINC0	 EQU 0

PD7	 EQU 7
PD6	 EQU 6
PD5	 EQU 5
PD4	 EQU 4
PD3	 EQU 3
PD2	 EQU 2
PD1	 EQU 1
PD0	 EQU 0

DDD7	 EQU 7
DDD6	 EQU 6
DDD5	 EQU 5
DDD4	 EQU 4
DDD3	 EQU 3
DDD2	 EQU 2
DDD1	 EQU 1
DDD0	 EQU 0

PIND7	 EQU 7
PIND6	 EQU 6
PIND5	 EQU 5
PIND4	 EQU 4
PIND3	 EQU 3
PIND2	 EQU 2
PIND1	 EQU 1
PIND0	 EQU 0


XL	 DEF r26
XH	 DEF r27
YL	 DEF r28
YH	 DEF r29
ZL	 DEF r30
ZH	 DEF r31

RAMEND   EQU $DF	;Last On-Chip SRAM Location
XRAMEND  EQU $DF
E2END	 EQU $7F
FLASHEND EQU $3FF

INT0addr EQU $001	;External Interrupt0 Vector Address
INT1addr EQU $002	;External Interrupt1 Vector Address
ICP1addr EQU $003	;Input Capture1 Interrupt Vector Address
OC1Aaddr EQU $004	;Output Compare1A Interrupt Vector Address
OVF1addr EQU $005	;Overflow1 Interrupt Vector Address
OVF0addr EQU $006	;Overflow0 Interrupt Vector Address
SPIaddr  EQU $007	;SPI Interrupt Vector Address
URXCaddr EQU $008	;UART Receive Complete Interrupt Vector Address
UDREaddr EQU $009	;UART Data Register Empty Interrupt Vector Address
UTXCaddr EQU $00a	;UART Transmit Complete Interrupt Vector Address
ADCCaddr  EQU $00b	;ADC Interrupt Vector Address
ERDYaddr  EQU $00c	;EEPROM Interrupt Vector Address
ACIaddr   EQU $00d	;Analog Comparator Interrupt Vector Address

